<div class="col-md-12">
    <div class="blog-single-content bordered blog-container">
        <div class="blog-single-head">
                <div class="portlet light bordereds">
                        <div class="portlet-title">
                            <div class="caption" style="font-size: 14px;">
                                <div class="blog-single-head-date">
                                        <i class="icon-calendar font-blue"></i>
                                        <a href="javascript:;"> {{ this.strpostdt }} </a>
                                    </div>
                            </div>
                            <div class="actions">
                                
                            </div>
                        </div>
                        
                    </div>
        </div>
        <!-- <div class="blog-single-img col-md-12" style="padding-bottom:700px;">
            <p>fhhfhshsfhshsf</p>
        </div> -->
        <div class="blog-single-img col-md-12">
            <singlepostsilder [PostId]="this.postInfo.postid" [PostIdIndex]="this.PostIdIndex" [Seqn]="this.Seqn"></singlepostsilder> 
        </div>
        
        <div class="blog-single-desc" #blogdesc *ngIf="this.viewmode">
            <p> {{ this.posthtmlToAdd }} </p>
        </div>
        <div class="blog-single-desc" *ngIf="!this.viewmode">
            <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
                    <label>Description</label>
                    <textarea type="text" formControlName="description" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.description.errors }" 
                    [(ngModel)] = "this.posthtmlToAdd" rows="8"></textarea>
                    <div *ngIf="submitted && f.description.errors" class="invalid-feedback">
                        <div *ngIf="f.description.errors.required">description is required</div>
                    </div>
                    <div class="text-center">
                        <button class="btn btn-primary mr-1 hide" #btndescsave>Save</button>
                        <button class="btn btn-secondary hide" type="reset" (click)="onReset()">Cancel</button>
                    </div>
            </form>
            <p></p>
        </div>
        <div class="blog-single-foot" style="padding: 20px 0 50px;">
            <div class="col-md-4">
                <button class="btn blue btn-block btn-outline " style="border-color: #ffffff;"><i class="icon-like"></i> Like</button>
            </div>
            <div class="col-md-4">
                <button class="btn blue btn-block btn-outline " style="border-color: #ffffff;" (click)="toggleComment()"><i class="icon-bubbles"></i> Comment</button>
            </div>
            <div class="col-md-4">
                <button class="btn blue btn-block btn-outline " style="border-color: #ffffff;"><i class="icon-share"></i> Share</button>
            </div>

            <!-- <div class="col-md-4">
                <button class="btn blue btn-block btn-outline "><i class="icon-like"></i> Like</button>
            </div>
            <div class="col-md-4">
                    <button class="btn blue btn-block btn-outline "><i class="icon-like"></i> Comment</button> 
            </div>
            <div class="col-md-4">
                <button class="btn blue btn-block btn-outline "><i class="icon-share"></i> Share</button>
            </div> -->

            <!-- <div class="col-md-4">
                <button type="button" class="btn default btn-block"><i class="icon-like"></i> Comment</button>
            </div>
            <div class="col-md-4">
                <button type="button" class="btn default btn-block"><i class="icon-bubbles"></i> Comment</button>
            </div>
            <div class="col-md-4">
                <button type="button" class="btn default btn-block"><i class="icon-share"></i> Share</button>
            </div> -->

            
        </div>
        <div [class]="this.divClass">
            <h3 class="sbold blog-comments-title">Comments(30)</h3>
            <div class="c-comment-list">
                <div class="media">
                    <div class="media-left">
                        <a href="#">
                            <img class="media-object" alt="" src="../assets/pages/img/avatars/team1.jpg"> </a>
                    </div>
                    <div class="media-body">
                        <h4 class="media-heading">
                            <a href="#">Hari</a> on
                            <span class="c-date">23 May 2015, 10:40AM</span>
                        </h4> We also noticed some members engaged in personal attacks, abusive & unprofessional language, vituperative arguments and disrespecting other members as well as CEG and AU administration. </div>
                </div>
                <div class="media">
                    <div class="media-left">
                        <a href="#">
                            <img class="media-object" alt="" src="../assets/pages/img/avatars/team3.jpg"> </a>
                    </div>
                    <div class="media-body">
                        <h4 class="media-heading">
                            <a href="#">Strong Strong</a> on
                            <span class="c-date">21 May 2015, 11:40AM</span>
                        </h4> Together along with all of your help, support, cooperation, we can and will continue to grow this forum and provide the free, unfettered platform for discussing and exchanging our views, experiences, learning etc respecting the guidelines - on all matters related to CEG.
                        <div class="media">
                            <div class="media-left">
                                <a href="#">
                                    <img class="media-object" alt="" src="../assets/pages/img/avatars/team4.jpg"> </a>
                            </div>
                            <div class="media-body">
                                <h4 class="media-heading">
                                    <a href="#">Emma Stone</a> on
                                    <span class="c-date">30 May 2015, 9:40PM</span>
                                </h4> Together along with all of your help, support, cooperation, we can and will continue to grow this forum and provide the free, unfettered platform for discussing and exchanging our views, experiences, learning etc respecting the guidelines - on all matters related to CEG. </div>
                        </div>
                    </div>
                </div>
                <div class="media">
                    <div class="media-left">
                        <a href="#">
                            <img class="media-object" alt="" src="../assets/pages/img/avatars/team7.jpg"> </a>
                    </div>
                    <div class="media-body">
                        <h4 class="media-heading">
                            <a href="#">Nick Nilson</a> on
                            <span class="c-date">30 May 2015, 9:40PM</span>
                        </h4> Together along with all of your help, support, cooperation, we can and will continue to grow this forum and provide the free, unfettered platform for discussing and exchanging our views, experiences, learning etc respecting the guidelines - on all matters related to CEG. </div>
                </div>
            </div>
            <h3 class="sbold blog-comments-title">Leave A Comment</h3>
            <form action="#">
                <div class="form-group">
                    <textarea rows="8" name="message" placeholder="Write comment here ..." class="form-control c-square"></textarea>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn blue uppercase btn-md sbold btn-block">Submit</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- Button trigger modal -->
<button type="button" class="btn btn-primary hide" data-toggle="modal" data-target="#exampleModal">
    Launch demo modal
</button>
<!-- Modal -->
<div class="modal" id="exampleModal" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
    <div class="modal-content">
        <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
        </div>
        <div class="modal-body">
            Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Cras mattis consectetur purus sit amet fermentum. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget
            lacinia odio sem nec elit. Cras mattis consectetur purus sit amet fermentum. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Cras mattis consectetur purus sit amet
            fermentum. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Cras mattis consectetur purus sit amet fermentum.
        </div>
        <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary">Save changes</button>
        </div>
    </div>
    </div>
</div>